# Custom Core Integration

{% hint style="success" %}
***All codes in this document are in\*\*\*\*\*\*\*\*&#x20;**<mark style="color:green;">**wais-hudv6/bridge/editable/client.lua**</mark>**&#x20;\*\*\*\*\*\*\*\*file.***
{% endhint %}

***

## 🎯 Showing Hud - Player Loaded

You must trigger this event for hud to appear when your character is loaded or selected in your framework.

```lua
TriggerEvent('wais:hudv6:client:custom:playerLoaded')
```

<p align="center"><sub><em><mark style="color:blue;"><strong>Client event It should be triggered when the player or character is loaded.</strong></mark></em></sub></p>

***

## 🪄 Hide hud - Player Unload

Run this event if the player abandons their character or wants to choose a new character.

```lua
TriggerEvent('wais:hudv6:client:custom:playerUnloaded')
```

<p align="center"><sub><em><mark style="color:blue;"><strong>Client event It should be triggered when the player or character is unloaded.</strong></mark></em></sub></p>

***

## 🔖 Show Job - Update Job

{% tabs %}
{% tab title="Event" %}

```lua
TriggerEvent('wais:hudv6:client:custom:setPlayerJob', job)
```

{% endtab %}

{% tab title="Job Data" %}

```lua
local job = {
    label = "Job Label",
    grade = {
        name = "Grade Label"
    },
    onDuty = false
}
```

{% endtab %}
{% endtabs %}

<p align="center"><sub><mark style="color:blue;">Client event Job data must be sent.</mark></sub></p>

***

## 🥷🏼 Show Gang - Update Gang

{% tabs %}
{% tab title="Event" %}

```lua
TriggerEvent('wais:hudv6:client:custom:setPlayerGang', gang)
```

{% endtab %}

{% tab title="Gang Data" %}

```lua
local gang = {
    label = "Gang Label",
    grade = {
        name = "Grade Name"
    }
}
```

{% endtab %}
{% endtabs %}

<p align="center"><sub><mark style="color:blue;">Client event Gang data must be sent.</mark></sub></p>

***

## 💸 Show Money - Update Money ( Cash )

```lua
TriggerEvent('wais:hudv6:client:custom:setPlayerMoney', 1000)
```

<p align="center"><sub><mark style="color:blue;">Client event money amount must be sent.</mark></sub></p>

***

## 🏦 Show Bank - Update Bank

```lua
TriggerEvent('wais:hudv6:client:custom:setPlayerBank', 1000)
```

<p align="center"><sub><mark style="color:blue;">Client event bank amount must be sent.</mark></sub></p>

***

## 🍔 Update Status - Drink, Burger And Stress

{% tabs %}
{% tab title="Event" %}

```lua
TriggerEvent('wais:hudv6:client:custom:setPlayerStatus', status)
```

{% endtab %}

{% tab title="Status Data" %}

```lua
local status = {
    ["hunger"] = 100,
    ["thirst"] = 100,
    ["stress"] = 0,
}
```

{% endtab %}
{% endtabs %}

<p align="center"><sub><mark style="color:blue;">Client event status data must be sent.</mark></sub></p>

***

{% hint style="danger" %}
If you need more, you should create a support request as ‘***I need Custom Framework Support***’.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-hudv6/custom-core-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
